# List Product Sets Retrieves details of all product sets for Competition Data API. Endpoint: POST /fetch/PCOMPCO Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `endRow` (number) The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results. - `oldValues` (any) - `operationType` (string) - `startRow` (number) The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results. - `textMatchStyle` (string) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.startRow` (number) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.label` (string) - `response.data.filterCriteria` (string) - `response.data.fieldsMapping` (string) - `response.data.structure` (string) - `response.data.options` (string) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number) - `response.endRow` (number) The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results. - `response.totalRows` (number) - `response.status` (number)